summaryrefslogtreecommitdiff
path: root/tests/tests/push-source
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/push-source')
-rwxr-xr-xtests/tests/push-source19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/tests/push-source b/tests/tests/push-source
new file mode 100755
index 0000000..9d132e5
--- /dev/null
+++ b/tests/tests/push-source
@@ -0,0 +1,19 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+
+t-refs-same-start
+t-ref-head
+
+t-dgit --dpkg-buildpackage:-d push-source --new
+
+t-pushed-good master
+t-push-was-source-only
+
+t-ok